package org.firstinspires.ftc.teamcode.cometbots.paths;


import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierCurve;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierLine;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;


/*
    AutoLine# - This file does something of a path......

 */
public class HighBasketPath1 {

    private final Pose startPose = new Pose(10, 89);

    public void moveToPath1(Follower robot) {
        PathChain pathChain;
        robot.setStartingPose(startPose);
        PathBuilder builder = new PathBuilder();
        builder
                .addPath(
                        // Line 1
                        new BezierLine(
                                new Point(10.000, 89.000, Point.CARTESIAN),
                                new Point(20.000, 130.000, Point.CARTESIAN)
                        )
                )
                .setLinearHeadingInterpolation(Math.toRadians(0), Math.toRadians(320));
        pathChain = builder.build();
        robot.followPath(pathChain);
    }

}

